<?php
namespace App\Http\Controllers\Behavior;
use App\Http\Controllers\Controller;
use App\Models\RegisteredRecord;
use App\Repositories\Behavior\RegisteredRecordRepository;
use App\Transformers\Behavior\RegisteredRecordTransformer;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
use Illuminate\Http\Request;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/14
 * Time: 上午11:30
 */

class RegisteredRecordController extends Controller
{
    public function __construct(RegisteredRecordRepository $registeredRecordRepository)
    {
        $this->registeredRecordRepository = $registeredRecordRepository;
    }

    /**
     * 新用户注册账本列表
     */
    public function index(Request $request)
    {
        $registeredList = $this->registeredRecordRepository->lists($request->all());
//        if (count($registeredList)>0) {
//            foreach ($registeredList as $k => $v) {
//                $v['behavior_absolute_progression'] =1;
//            }
        $fractal = new Manager();
        $resource = new Collection($registeredList, new RegisteredRecordTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($registeredList));
        $data = $fractal->createData($resource)->toArray();
        $data['extra'] = [
            'filters' => [
                'id',
                'uid',
                'created_at',
                'absolute_progression',
                'trigger_type'
            ],
            'columns' => [
                'id',
                'created_at',
                'virus_behavior_id',
                'uid',
                'trigger_time',
                'physical_exertion',
                'trigger_type',
                'generation_type',
                'absolute_progression',
                'superior_uid',
                'release_status',
                'generation_quantity',
                'quantity_issued',
                'behavior_cycle_type',
                'name',
                'relative_series',
                'is_open',
                'bahavior_created_at',
                'behavior_absolute_progression'

            ]
        ];
        return $data;
    }
}